Subject: Re: net/speakfreely
To: Curt Sampson <>
From: None <>
List: tech-pkg
Date: 08/22/2002 21:22:07
>Is the net/speakfreely package working for anyone running 1.6 or
>current? On my 1.6B system I can't build it:
>===> Building for speakfreely-7.2
>/usr/bin/sed -e "s,@SOUNDDIR@,/usr/pkg/share/speakfreely,g"  < /u/netbsd/pkgsrc/net/speakfreely/work.i386/speak_freely-7.2/ > /u/netbsd/pkgsrc/net/speakfreely/work.i386/speak_freely-7.2/sfspeaker.1
>cc -O -Iadpcm -Ilpc -I/usr/pkg/include -I/usr/include -I/usr/pkg/include/openssl -DInternet_Port=2074  -DHALF_DUPLEX -DUSE_CURSES -DSOUNDDIR=\"/usr/pkg/share/speakfreely\"  -I/u/netbsd/pkgsrc/net/speakfreely/work.i386/.buildlink/include   -c speaker.c
>In file included from speaker.c:10:
>speakfree.h:76: blowfish.h: No such file or directory
>speakfree.h:77: des.h: No such file or directory
>*** Error code 1

	speakfreely is doing something not recommended.
	openssl does not recommend having "-I/usr/pkg/include/openssl" and
	#include <blowfish.h>.  openssl recommends doing
	#include <openssl/blowfish.h> instead.